Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.enhance
Interface FieldSupplier

All Known Subinterfaces:
  FieldManager, OpenJPAStateManager

All Known Implementing Classes:
  AbstractFieldManager, AttachStrategy, ClearFieldManager, DetachedStateAttachStrategy, DetachedStateManager, DetachedValueStateManager, ObjectIdStateManager, SaveFieldManager, SavepointFieldManager, SingleFieldManager, StateManagerImpl, TransferFieldManager, VersionAttachStrategy

    public interface FieldSupplier

Supplies persistent field values.

Method Summary
`boolean` | `fetchBooleanField(int fieldIndex)` Return the value of the given field.
`byte` | `fetchByteField(int fieldIndex)` Return the value of the given field.
`char` | `fetchCharField(int fieldIndex)` Return the value of the given field.
`double` | `fetchDoubleField(int fieldIndex)` Return the value of the given field.
`float` | `fetchFloatField(int fieldIndex)` Return the value of the given field.
`int` | `fetchIntField(int fieldIndex)` Return the value of the given field.
`long` | `fetchLongField(int fieldIndex)` Return the value of the given field.
`Object` | `fetchObjectField(int fieldIndex)` Return the value of the given field.
`short` | `fetchShortField(int fieldIndex)` Return the value of the given field.
`String` | `fetchStringField(int fieldIndex)` Return the value of the given field.

Method Detail

### fetchBooleanField

    boolean fetchBooleanField(int fieldIndex)

  Return the value of the given field.

### fetchCharField

    char fetchCharField(int fieldIndex)

  Return the value of the given field.

### fetchByteField

    byte fetchByteField(int fieldIndex)

  Return the value of the given field.

### fetchShortField

    short fetchShortField(int fieldIndex)

  Return the value of the given field.

### fetchIntField

    int fetchIntField(int fieldIndex)

  Return the value of the given field.

### fetchLongField

    long fetchLongField(int fieldIndex)

  Return the value of the given field.

### fetchFloatField

    float fetchFloatField(int fieldIndex)

  Return the value of the given field.

### fetchDoubleField

    double fetchDoubleField(int fieldIndex)

  Return the value of the given field.

### fetchStringField

    String fetchStringField(int fieldIndex)

  Return the value of the given field.

### fetchObjectField

    Object fetchObjectField(int fieldIndex)

  Return the value of the given field.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.